/hardware-stores-delete-one¶
Summary¶
Source repository:
jef-systems/jef-hardware-backendSource SHA:
da55214e1c0cdc1f340e0eaca147285c336498ddSource run id:
25890112298Lambda function:
jef-hardware-stores-delete-oneHTTP method:
DELETEAPI path:
/hardware-stores-delete-oneEndpoint URL:
https://5g667fp458.execute-api.ap-southeast-1.amazonaws.com/prod/hardware-stores-delete-onePayload mode:
json-body
Description¶
Function: jef-hardware-stores-delete-oneModule: jef-hardwareAction: delete-oneMethod: DELETEInvocation Mode: ASYNCResource Path: /hardware-stores-delete-oneTable: jef-hardware-storesPrimary Key: store_id
API Gateway Response¶
status\_code: 202message: Request accepted for asynchronous processing.
Payload Example¶
store\_id: f80b79c4-749b-4b6f-a851-d53715181f63
Payload Schema¶
[
{
"key": "root.type",
"value": "M"
},
{
"key": "root.required",
"value": "True"
},
{
"key": "root.attributes.store_id.type",
"value": "S"
},
{
"key": "root.attributes.store_id.required",
"value": "True"
},
{
"key": "root.attributes.store_id.format",
"value": "uuidv4"
},
{
"key": "root.attributes.store_id.regex",
"value": "^[1-9a-fA-F][0-9a-fA-F]{7}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$"
}
]
Response Schema¶
[
{
"key": "root.type",
"value": "M"
},
{
"key": "root.required",
"value": "True"
},
{
"key": "root.attributes.is_accepted.type",
"value": "BOOL"
},
{
"key": "root.attributes.is_accepted.required",
"value": "True"
},
{
"key": "root.attributes.message.type",
"value": "S"
},
{
"key": "root.attributes.message.required",
"value": "True"
},
{
"key": "root.attributes.request_id.type",
"value": "S"
},
{
"key": "root.attributes.request_id.required",
"value": "False"
}
]
Request Payload¶
[
{
"key": "store_id",
"value": "f80b79c4-749b-4b6f-a851-d53715181f63"
}
]
Response¶
[
{
"key": "root.type",
"value": "M"
},
{
"key": "root.required",
"value": "True"
},
{
"key": "root.attributes.is_accepted.type",
"value": "BOOL"
},
{
"key": "root.attributes.is_accepted.required",
"value": "True"
},
{
"key": "root.attributes.message.type",
"value": "S"
},
{
"key": "root.attributes.message.required",
"value": "True"
},
{
"key": "root.attributes.request_id.type",
"value": "S"
},
{
"key": "root.attributes.request_id.required",
"value": "False"
}
]
CMD curl¶
curl -X DELETE "https://5g667fp458.execute-api.ap-southeast-1.amazonaws.com/prod/hardware-stores-delete-one" -H "Content-Type: application/json" --data-raw "{\"store_id\": \"f80b79c4-749b-4b6f-a851-d53715181f63\"}"
PowerShell curl¶
curl.exe -X DELETE "https://5g667fp458.execute-api.ap-southeast-1.amazonaws.com/prod/hardware-stores-delete-one" -H "Content-Type: application/json" --data-raw '{"store_id": "f80b79c4-749b-4b6f-a851-d53715181f63"}'